Linux ATA RAID HOWTO
Prev |  | Next

# 5. Installing Red Hat 7.2

Once you have created your CDs, you are ready to begin installing Red Hat 7.2 on your Linux system.

1. Restart the computer and press Cntrl-F when you see FastTrack BIOS prompt on screen. This will take you into the Promise FastTrack BIOS.

2. Inside this BIOS, choose "delete array," "define array," and "choose Mirror."

3. Press Cntrl-Y to save.

4. Choose »Create Only« and ESC to reboot. When it reboots, you should see that Promise FastTrack now has 1x2 RAID Mirror defined over your two hard disks connected to FastTrack controller.

5. Insert your Red Hat 7.2, disk-1 into your CD-ROM and reboot.

6. At the boot-prompt, type:

       linux noprobe

7. Now, installation will begin. Choose »Add device« and scroll through the list of available drivers to see if Promise FastTrack is listed. If it is not listed, press F2 to load external driver from a floppy. Insert your Promise FastTrack driver floppy and hit "OK."

8. Continue with installation. Choose only ext3 type partitions for now. You can make ext2 partions at the very end, if you really need them.

9. When the system you to create Boot Floppy, insert a blank floppy disk. The Red Hat installation program will create a Boot Floppy disk.

   | NOTE
   | Please do not click on »Skip boot disk creation«. If you skip this step and do not create a Boot Floppy disk, you will be very sorry later.

10. When the install asks you to choose Boot loader configuration, please choose »LILO only«. Do not choose »GRUB« as your boot loader.

    When the installation is finished, you will see »Congratulations« screen.

11. Press Cntrl-ALT-F2 to switch to `tty2`.

12. At the shell prompt, type:

        cd /mnt/sysimage/lib/modules/2.4.7-10/kernel/drivers/scsi

13. Type ls and make sure the file `ft.o` exists. If not, you are going to need to manually install the module `ft.o` as follows:

    1. Make sure your Driver floppy is mounted. Go into the floppy and type

           mv module.cgz /tmp
           cd /tmp
           gzip -dc module.cgz | cpio -idumv

    2. Now, you will see a bunch of directories created under `/tmp`.

           cd /tmp/`uname -r`
           cp ft.o /mnt/sysimage/lib/modules/`uname -r`/kernel/drivers/scsi

    3. At the shell prompt, type:

           less /mnt/sysimage/etc/lilo.conf

       Check to see that the `lilo.conf` looks good. Especially, it should have the `initrd=` line and the corresponding `initrd.img` file must exist in `/mnt/sysimage/boot`. If not, you are going to create it manually as follows:

           /mnt/sysimage/usr/sbin/chroot /mnt/sysimage /sbin/mkinitrd \
           --preload jbd \
           --preload ext3 \
           --preload scsi_mod \
           --with ft \
           /boot/initrd.img 2.4.7-10

14. Now, remove the floppy and the CD, and reboot. At this point, pray that your computer will boot without any problems.

15. If it does not boot, insert your Boot Floppy and reboot and login; And then repair as follows:

    1. Make sure `/boot/initrd.img` exists. Make sure `/lib/modules/2.4.7-10/kernel/drivers/scsi/ft.o` exists (If not you have to manually fix these issues as explained above)

    2. Type: /sbin/lilo

    3. Now, remove floppy and reboot. Your machine should boot into your new machine now using Promise Driver.

16. Type df -k and you should see your hard disks as `/dev/sdaX` instead of `/dev/hdaX`. This is because the Promise Driver is actually a special type of Software Emulation RAID, not exactly Hardware RAID. (Promise RAID works through a BIOS Hack).

If your machine is SMP, you will have to manually create `initrdsmp.img`, when you boot into Uniprocessor Kernel as shown below, and edit `/etc/lilo.conf` and then test to see you can boot into SMP system.

1. When you boot your machine into `2.4.7-10` uniprocessor kernel, type the following to make `initrdsmp.img` to be used for `2.4.7-10smp` kernel:

       /sbin/mkinitrd \
       --preload jbd \
       --preload ext3 \
       --preload scsi_mod \
       --with ft \
       /boot/initrdsmp.img 2.4.7-10smp

   | NOTE
   | If you are tired of remembering the command to create initrd files, dowload my geninitrd script and keep it handy.

2. Adjust your `/etc/lilo.conf` accordingly for `2.4.7-10smp` (the SMP kernel section), type /sbin/lilo and reboot into the SMP kernel. Here is how `/etc/lilo.conf` should look like.

At this point, you have a working Red Hat 7.2 machine with SMP support, if applicable. If you are happy with the fact that you are running a fake Hardware RAID from Promise FastTrack using SCSI Emulation, then read no further.

Because Promise Driver is a SCSI emulation, it puts a lot of load on CPU(s). Read on if you want to enable true Linux native RAID and get rid of this Promise SCSI emulation.

Prev | Home | Next
Preparing RedHat 7.2 CDs |  | Installing Native Linux RAID